Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::RadioActions Class Reference

A C++ wrapper class for a group of radio actions. More...

`#include <xfc/gtk/radioaction.hh>`

Inheritance diagram for Xfc::Gtk::RadioActions:

List of all members.

## Public Member Functions

Constructors

- RadioActions ()
    Constructs a new RadioActions group.
- ~RadioActions ()
    Destructor.

Methods

- RadioAction * add (const char *name, const char *label, int value, const char *tooltip=0)
    Creates and adds a new radio action to the group of radio actions.
- RadioAction * add (const char *name, const char *label, const AccelKey &accel_key, int value, const char *tooltip=0)
    Creates and adds a new radio action to the group of radio actions.
- RadioAction * add (const char *name, const StockId &stock_id, int value, const char *tooltip=0)
    Creates and adds a new radio action to the group of radio actions.
- RadioAction * add (const char *name, const StockId &stock_id, const AccelKey &accel_key, int value, const char *tooltip=0)
    Creates and adds a new radio action to the group of radio actions.
- RadioAction * add (const char *name, const char *label, const StockId &stock_id, int value, const char *tooltip=0)
    Creates and adds a new radio action to the group of radio actions.
- RadioAction * add (const char *name, const char *label, const StockId &stock_id, const AccelKey &accel_key, int value, const char *tooltip=0)
    Creates and adds a new radio action to the group of radio actions.
- void clear ()
    Removes all the actions from this radio actions group.

## Detailed Description

A C++ wrapper class for a group of radio actions.

RadioActions is a convenience class that makes it easy to add a group of radio actions to a Gtk::ActionGroup. RadioActions handles setting the group, tooltip and accelerator. It calls unref() on each action after adding it to a Gtk::ActionGroup and it connects the first radio action in the group to the GtkRadioAction "changed" signal. If you add radio actions to an action group independantly by calling Gtk::ActionGroup::add_actions() you would need to do all these things yourself.

See also: the User Interface Manager HOWTO and example.

## Constructor & Destructor Documentation

Xfc::Gtk::RadioActions::RadioActions | ( |  | ) |

| Constructs a new RadioActions group. RadioActions can only be constructed on the stack. They can't be constructed dynamically.

## Member Function Documentation

RadioAction* Xfc::Gtk::RadioActions::add | ( | const char * | name,
|  | const char * | label,
|  | const StockId & | stock_id,
|  | const AccelKey & | accel_key,
|  | int | value,
|  | const char * | tooltip = `0`
| ) |

Creates and adds a new radio action to the group of radio actions.

Parameters:

  | name | A unique name for the action.
  | label | The label displayed in menu items and on buttons.
  | stock_id | The stock icon to display in widgets representing the action.
  | accel_key | An AccelKey object specifying the accelerator for the action.
  | value | The value which get_current_value() should return if this action is selected.
  | tooltip | The tooltip to display for the action.

RadioAction* Xfc::Gtk::RadioActions::add | ( | const char * | name,
|  | const char * | label,
|  | const StockId & | stock_id,
|  | int | value,
|  | const char * | tooltip = `0`
| ) |

Creates and adds a new radio action to the group of radio actions.

Parameters:

  | name | A unique name for the action.
  | label | The label displayed in menu items and on buttons.
  | stock_id | The stock icon to display in widgets representing the action.
  | value | The value which get_current_value() should return if this action is selected.
  | tooltip | The tooltip to display for the action.

RadioAction* Xfc::Gtk::RadioActions::add | ( | const char * | name,
|  | const StockId & | stock_id,
|  | const AccelKey & | accel_key,
|  | int | value,
|  | const char * | tooltip = `0`
| ) |

Creates and adds a new radio action to the group of radio actions.

Parameters:

  | name | A unique name for the action.
  | stock_id | The stock icon to display in widgets representing the action.
  | accel_key | An AccelKey object specifying the accelerator for the action.
  | value | The value which get_current_value() should return if this action is selected.
  | tooltip | The tooltip to display for the action.

RadioAction* Xfc::Gtk::RadioActions::add | ( | const char * | name,
|  | const StockId & | stock_id,
|  | int | value,
|  | const char * | tooltip = `0`
| ) |

Creates and adds a new radio action to the group of radio actions.

Parameters:

  | name | A unique name for the action.
  | stock_id | The stock icon to display in widgets representing the action.
  | value | The value which get_current_value() should return if this action is selected.
  | tooltip | The tooltip to display for the action.

RadioAction* Xfc::Gtk::RadioActions::add | ( | const char * | name,
|  | const char * | label,
|  | const AccelKey & | accel_key,
|  | int | value,
|  | const char * | tooltip = `0`
| ) |

Creates and adds a new radio action to the group of radio actions.

Parameters:

  | name | A unique name for the action.
  | label | The label displayed in menu items and on buttons.
  | accel_key | An AccelKey object specifying the accelerator for the action.
  | value | The value which get_current_value() should return if this action is selected.
  | tooltip | The tooltip to display for the action.

RadioAction* Xfc::Gtk::RadioActions::add | ( | const char * | name,
|  | const char * | label,
|  | int | value,
|  | const char * | tooltip = `0`
| ) |

Creates and adds a new radio action to the group of radio actions.

Parameters:

  | name | A unique name for the action.
  | label | The label displayed in menu items and on buttons.
  | value | The value which get_current_value() should return if this action is selected.
  | tooltip | The tooltip to display for the action.

The documentation for this class was generated from the following file:

- radioaction.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3